org.richfaces.component

## Interface AbstractTogglePanelItemInterface

- All Superinterfaces:
    AbstractDivPanel, CoreProps, EventsMouseProps, I18nProps, VisitChildrenRejectable
  All Known Subinterfaces:
    AbstractTogglePanelTitledItem
  All Known Implementing Classes:
    AbstractAccordionItem, AbstractTab, AbstractTogglePanelItem, UIAccordionItem, UITab, UITogglePanelItem

      public interface AbstractTogglePanelItemInterface
      extends AbstractDivPanel, VisitChildrenRejectable

  Author:
    Brian Leathem

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClientId()`
    `String` | `getName()`
    `String` | `getOnenter()` The function to perform when the mouse enters the panel
    `String` | `getOnleave()` The function to perform when the mouse leaves the panel.
    `AbstractTogglePanel` | `getParentPanel()`
    `SwitchType` | `getSwitchType()`
    `boolean` | `isActive()`
    `boolean` | `isDynamicPanelItem()`
    `boolean` | `isRendered()`

    - ### Methods inherited from interface org.richfaces.component.attribute.CoreProps

      `getStyle, getStyleClass, getTitle`

    - ### Methods inherited from interface org.richfaces.component.attribute.EventsMouseProps

      `getOnclick, getOndblclick, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup`

    - ### Methods inherited from interface org.richfaces.component.attribute.I18nProps

      `getDir, getLang`

    - ### Methods inherited from interface org.richfaces.component.VisitChildrenRejectable

      `shouldVisitChildren`

- - ### Method Detail

    - #### getParentPanel

          AbstractTogglePanel getParentPanel()

    - #### isDynamicPanelItem

          boolean isDynamicPanelItem()

    - #### isActive

          boolean isActive()

    - #### getName

          String getName()

    - #### isRendered

          boolean isRendered()

    - #### getSwitchType

          SwitchType getSwitchType()

    - #### getOnenter

          String getOnenter()

      The function to perform when the mouse enters the panel

    - #### getOnleave

          String getOnleave()

      The function to perform when the mouse leaves the panel.

    - #### getClientId

          String getClientId()

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.